Mail archive
alpine-aports

[alpine-aports] [PATCH v2] testing/minidyndns: new aport after review

From: Martin Rusko <martin.rusko_at_gmail.com>
Date: Tue, 1 Jan 2019 16:22:35 +0100

https://github.com/arkanis/minidyndns
A simple no fuss DNS server with built-in HTTP/HTTPS interface to update IPs

Changes v1 -> v2:
 - removed .pre-deinstall script stopping the daemon
 - disabled check explicitely
 - bumped release

Note: Default options from confd file were left intact if they
      need to be modified. If the consensus tripple towards
      hardcoding them in the initd script, I will prepare v3.
---
 testing/minidyndns/APKBUILD         | 48 +++++++++++++++++++++++++++++
 testing/minidyndns/minidyndns.confd |  5 +++
 testing/minidyndns/minidyndns.initd | 31 +++++++++++++++++++
 3 files changed, 84 insertions(+)
 create mode 100644 testing/minidyndns/APKBUILD
 create mode 100644 testing/minidyndns/minidyndns.confd
 create mode 100644 testing/minidyndns/minidyndns.initd
diff --git a/testing/minidyndns/APKBUILD b/testing/minidyndns/APKBUILD
new file mode 100644
index 0000000000..978337d8b3
--- /dev/null
+++ b/testing/minidyndns/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Martin Rusko <martin.rusko_at_gmail.com>
+# Maintainer: Martin Rusko <martin.rusko_at_gmail.com>
+pkgname=minidyndns
+pkgver=1.1.4
+pkgrel=1
+pkgdesc="A simple no fuss DNS server with built-in HTTP/HTTPS interface to update IPs"
+url="https://github.com/arkanis/minidyndns"
+arch="noarch"
+license="MIT"
+depends="ruby ruby-etc"
+makedepends=""
+options="!check" # there is no testing suite at the moment
+install=""
+subpackages="$pkgname-doc $pkgname-openrc"
+source="minidyndns-$pkgver.tar.gz::https://github.com/arkanis/minidyndns/archive/v$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+package() {
+	cd "$builddir"
+
+        install -Dm755 "$srcdir"/../minidyndns.initd \
+                "$pkgdir"/etc/init.d/minidyndns
+        install -Dm644 "$srcdir"/../minidyndns.confd \
+                "$pkgdir"/etc/conf.d/minidyndns
+	
+	install -Dm755 "$builddir"/dns.rb \
+		"$pkgdir"/usr/share/minidyndns/dns.rb
+
+	install -Dm644 "$builddir"/config.example.yml \
+		"$pkgdir"/etc/minidyndns_config.yml
+
+	install -d -o nobody -g nogroup "$pkgdir"/var/log/minidyndns
+
+	install -d -o nobody -g nogroup "$pkgdir"/var/lib/minidyndns
+	install -Dm640 -o nobody -g nogroup "$builddir"/db.example.yml \
+		"$pkgdir"/var/lib/minidyndns/db.yml
+
+	install -Dm644 "$builddir"/config.example.yml \
+			"$pkgdir"/usr/share/doc/minidyndns/config.example.yml
+
+	install -Dm644 "$builddir"/db.example.yml \
+			"$pkgdir"/usr/share/doc/minidyndns/db.example.yml
+
+	install -Dm644 "$builddir"/README.md \
+			"$pkgdir"/usr/share/doc/minidyndns/README.md
+}
+
+sha512sums="523e53e1a937b4d3f36eb1666444fd9024b6c059c6b145be5d725670c24fc3b339cc75eae6dde61f62c09cb195805202440df84599d197d117f0cb575d6d4f6b  minidyndns-1.1.4.tar.gz"
diff --git a/testing/minidyndns/minidyndns.confd b/testing/minidyndns/minidyndns.confd
new file mode 100644
index 0000000000..3cf5d10be2
--- /dev/null
+++ b/testing/minidyndns/minidyndns.confd
_at_@ -0,0 +1,5 @@
+#
+# Specify daemon options here.
+#
+
+minidyndns_opts="--config /etc/minidyndns_config.yml --db /var/lib/minidyndns/db.yml"
diff --git a/testing/minidyndns/minidyndns.initd b/testing/minidyndns/minidyndns.initd
new file mode 100644
index 0000000000..4a84ea07be
--- /dev/null
+++ b/testing/minidyndns/minidyndns.initd
_at_@ -0,0 +1,31 @@
+#!/sbin/openrc-run
+
+_logdir="/var/log/${RC_SVCNAME}"
+command="ruby /usr/share/minidyndns/dns.rb"
+command_args="$minidyndns_opts"
+command_background="yes"
+
+description_reload="Reloading configuration"
+extra_started_commands="reload"
+
+start_stop_daemon_args="--stdout $_logdir/access.log --stderr $_logdir/error.log"
+pidfile="/run/${RC_SVCNAME}.pid"
+
+depend() {
+	need net
+	after firewall
+}
+
+stop() {
+	ebegin "Stopping ${RC_SVCNAME}"
+	start-stop-daemon --stop --exec "$command" \
+		--pidfile "$pidfile" --signal INT
+	eend $?
+}
+
+reload() {
+	ebegin "Reloading ${RC_SVCNAME}"
+	start-stop-daemon --exec "$command" \
+		--pidfile "$pidfile" --signal USR1
+	eend $?
+}
-- 
2.18.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jan 01 2019 - 16:22:35 UTC